Anonymous Login
2019-02-21 12:08 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000380v1.3 Release (Closed)[All Projects] Generalpublic2010-03-31 22:43
ReporterJoachim 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version1.3 
Summary0000380: Call to undefined method CContact::getUpcomingBirthdays()
DescriptionPHP Fatal error: Call to undefined method CContact::getUpcomingBirthdays() in /srv/www/htdocs/web2project/modules/contacts/contacts.class.php on line 517 when using ICS calendar.

Missing function in CContact. I made the following change to get the calendar to work.

  public function hook_calendar($userId) {
// return $this->getUpcomingBirthdays($userId);
    return NULL;
  }
Additional InformationI'm using web2project from svn trunk rev 966 and todos module 1.0.1.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000756

caseydk (administrator)

Yeah... this one is my fault. Something got committed that shouldn't have been.

If we ever meet, I owe you a tasty beverage of your choice (and less than $10 USD in value). ;)

~0000757

caseydk (administrator)

Resolved in r967

~0000811

caseydk (administrator)

Closed in v1.3 release.
+Notes

-Issue History
Date Modified Username Field Change
2010-02-22 03:42 Joachim New Issue
2010-02-23 14:56 caseydk Status new => assigned
2010-02-23 14:56 caseydk Assigned To => caseydk
2010-02-23 14:57 caseydk Note Added: 0000756
2010-02-23 15:00 caseydk Note Added: 0000757
2010-02-23 15:00 caseydk Status assigned => resolved
2010-02-23 15:00 caseydk Resolution open => fixed
2010-03-31 22:43 caseydk Note Added: 0000811
2010-03-31 22:43 caseydk Status resolved => closed
2010-03-31 22:43 caseydk Fixed in Version => 1.3
+Issue History